package balancingGui;




import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.LinkedList;

import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JScrollPane;


import entities.Entity;
import newEntityPanels.*;




abstract public class AbstractEntitiesFrame extends JFrame {
	

	
	protected EntityPanel currentPanel;
	
	protected JFrame thisFrame = this;
	
	protected JMenuBar mbar;
	protected JMenu possibilities;
	protected JMenuItem singleUnit;
	protected JMenuItem multiUnit;
	protected JMenuItem createUnit;
	protected JScrollPane jsp;

	protected String file;

	
	
	public AbstractEntitiesFrame (String file, Entity e, LinkedList<Entity> subEnt, EntityPanel rootPanel){
		this.file = file;
		if(mbar == null) createMenuBar();
		this.setJMenuBar(mbar);
		currentPanel = new SingleEntityPanel(file,this,e,subEnt,rootPanel);
		jsp = new JScrollPane(currentPanel);
		this.add(jsp);
		this.pack();
		this.setVisible(true);
	}
	
	public AbstractEntitiesFrame (String file,Entity e, boolean b){
//		this.file = file;
//		if(b)
//			currentPanel = new CreateHpPanel(file,e,b);
//		else
//			currentPanel = new SingleEntityPanel(file,e);
//		jsp = new JScrollPane(currentPanel);
//		this.add(jsp);
//		this.pack();
//		this.setVisible(true);
	}
	
	protected void createMenuBar() {
		mbar = new JMenuBar();
		possibilities = new JMenu("Optionen");
		singleUnit = new JMenuItem ("Einzelne Einheit bearbeiten");
		singleUnit.addActionListener(new SingleUnitListener());
		possibilities.add(singleUnit);
		multiUnit = new JMenuItem ("Einheiten im Vergleich bearbeiten");
		multiUnit.addActionListener(new MultiUnitListener());
		multiUnit.setEnabled(false);
		possibilities.add(multiUnit);
		createUnit = new JMenuItem ("Neue Einheit erstellen");
		createUnit.addActionListener(new CreateUnitListener());
		createUnit.setEnabled(false);
		possibilities.add(createUnit);
		mbar.add(possibilities);
	}
	
	protected class SingleUnitListener implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			if (jsp!=null) 
				thisFrame.remove(jsp);
			currentPanel = new SingleEntityPanel(file,thisFrame,null,null,null);
			jsp = new JScrollPane(currentPanel);
			thisFrame.add(jsp);
			thisFrame.pack();
			thisFrame.setVisible(true);
		}	
	}
	
	protected class MultiUnitListener implements ActionListener {
		public void actionPerformed(ActionEvent e) {
//			if (jsp!=null){
//				thisFrame.remove(jsp);
//			}
//			currentPanel = new MultiEntityPanel(file,thisFrame);
//			jsp = new JScrollPane(currentPanel);
//			thisFrame.add(jsp);
//			thisFrame.pack();
//			thisFrame.setVisible(false);
		}	
	}
	
	protected class CreateUnitListener implements ActionListener {
		public void actionPerformed(ActionEvent e) {
//			if (jsp!=null){
//				thisFrame.remove(jsp);
//			}
//			currentPanel = new CreateEntityPanel(file,thisFrame);
//			jsp = new JScrollPane(currentPanel);
//			thisFrame.add(jsp);
//			thisFrame.pack();
//			thisFrame.setVisible(true);
		}	
	}
	

	
	
	

}
