package eventTypes;

import java.util.LinkedList;


import org.jdom.Element;

public class StoryConquer implements EventType {
	
	private Element type = new Element("Event_Type");
	private String data = new String ("STORY_CONQUER");
	private Element planet = new Element("Event_Param1");
	private Element filter = new Element("Event_Param3");
	
	
	public StoryConquer(String planet, String fil){
		type.addContent(data);
		this.planet.addContent(planet);
		filter.addContent(fil);
	}

	public LinkedList<Element> buildEvent() {
		LinkedList<Element> temp = new LinkedList<Element>();
		temp.add(type);
		temp.add(planet);
		temp.add(filter);
		return temp;
	}

}
