package eventTypes;

import java.util.LinkedList;

import misc.Flag;

import org.jdom.Element;

public class StoryFlag implements EventType {
	
	private Element type = new Element("Event_Type");
	private String data = new String ("STORY_FLAG");
	private Element flag= new Element ("Event_Param1");
	private Element flagvalue = new Element ("Event_Param2");
	private Element compareType = new Element ("Event_Param3");
	
	public StoryFlag(Flag f, String cType){
		type.addContent(data);
		flag.addContent(f.name);
		flagvalue.addContent(f.value);
		compareType.addContent(cType);
	}
	
	
	public LinkedList<Element> buildEvent(){
		LinkedList<Element> temp = new LinkedList<Element>();
		temp.add(type);
		temp.add(flag);
		temp.add(flagvalue);
		temp.add(compareType);
		return temp;
	}
}
