package rewardTypes;

import java.util.LinkedList;


import org.jdom.Element;

public class Buildable implements RewardType{
	
	private Element type = new Element ("Reward_Type");
	private String data ;
	private Element object = new Element ("Reward_Param1");

	public Buildable (boolean disable, String object){
		if(disable){
			data = "DISABLE_BUILDABLE";
		}
		else {
			data = "ENABLE_BUILDABLE";
		}
		type.addContent(data);
		this.object.addContent(object);
	}
	public LinkedList<Element> buildReward() {
		LinkedList<Element> temp = new LinkedList<Element>();
		temp.add(type);
		temp.add(object);
		return temp;
	}
	

}
