package rewardTypes;

import java.util.LinkedList;

import org.jdom.Element;

public class DisableBranch implements RewardType{

	private Element type = new Element("Reward_Type");
	private String data = new String ("DISABLE_BRANCH");
	private Element event = new Element("Reward_Param1");
	private Element disable = new Element("Reward_Param2");
	
	public DisableBranch ( String name, boolean disable){
		type.addContent(data);
		event.addContent(name);
		if(disable){
			data = "1";
		}
		else {
			data = "0";
		}
		this.disable.addContent(data);
	}

	public LinkedList<Element> buildReward() {
		LinkedList<Element> temp = new LinkedList<Element>();
		temp.add(type);
		temp.add(event);
		temp.add(disable);
		return temp;
	}

}
