package rewardTypes;

import java.util.LinkedList;

import org.jdom.Element;

public class LockUnit implements RewardType{
	
	private Element type = new Element("Reward_Type");
	private String data = new String ("LOCK_UNIT");
	private Element unit = new Element("Reward_Param1");
	
	public LockUnit (String name){
		type.addContent(data);
		unit.addContent(name);
	}

	public LinkedList<Element> buildReward() {
		LinkedList<Element> temp = new LinkedList<Element>();
		temp.add(type);
		temp.add(unit);
		return temp;
	}

}

