package rewardTypes;

import java.util.LinkedList;

import misc.Flag;

import org.jdom.Element;



public class SetFlag implements RewardType {
	
	private Element type = new Element("Reward_Type");
	private String data = new String ("SET_FLAG");
	private Element flag = new Element("Reward_Param1");
	private Element value = new Element("Reward_Param2");

	public SetFlag (Flag f,Integer value){
		type.addContent(data);
		flag.addContent(f.name);
		this.value.addContent(value.toString());
	}
	
	public LinkedList<Element> buildReward() {
		LinkedList<Element> temp = new LinkedList<Element>();
		temp.add(type);
		temp.add(flag);
		temp.add(value);
		return temp;
	}

}
