package rewardTypes;

import java.util.LinkedList;

import org.jdom.Element;

public class SpawnUnit implements RewardType {
	
	private Element type = new Element("Reward_Type");
	private String data = new String ("UNIQUE_UNIT");
	private Element unit = new Element("Reward_Param1");
	private Element planet;
	
	public SpawnUnit (String unit, String planet){
		type.addContent(data);
		this.unit.addContent(unit);
		if(!planet.equals("")){
			this.planet = new Element("Reward_Param2");
			this.planet.addContent(planet);
		}		
	}

	public LinkedList<Element> buildReward() {
		LinkedList<Element> temp = new LinkedList<Element>();
		temp.add(type);
		temp.add(unit);
		if(planet==null){
			return temp;
		}
		temp.add(planet);
		return temp;
	}

}
