package TradeGui;
import javax.swing.JPanel;

import balancingGui.LoadingPanel;

import java.awt.*;


public class GalaxyMapPanel extends JPanel {
	
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -8695851146353251296L;
	private int x,y;
	private Point[] coords;
	private Point[] traderoutes;
	private Point[] currentPlanets;
	private String[] orgCoords;
	private boolean currentPlanetsSet=false;
	private String[] planetNames;
	 
//	public GalaxyMap (int height, int width) {
//		this.setSize(width, height);
//		this.x = width;
//		this.y = height;
//	}
	
	
	
//	public void paintComponent(Graphics g){
//		super.paintComponents(g);
//		g.drawRect(0, 0, this.x, this.y);
//		System.out.println("muh");
//		paintBoard(g);
//	}
	
	protected void paintComponent( Graphics g ){
		x = LoadingPanel.gX+250;
		y = LoadingPanel.gY+250;
		
		this.setPreferredSize(new Dimension(x,y));
		super.paintComponent( g );
		paintBoard(g);
		
	}
	
	public void setCoords(Point[] p, String[] q, String[] r){
		this.coords=p.clone();
		this.planetNames = q.clone();
		this.orgCoords = r.clone();
	}
	
	public void paintBoard (Graphics g){
		g.setColor(Color.LIGHT_GRAY);
		g.fillRect(50, 50, this.x, this.y);
		g.setColor(Color.black);
		for (int j = 0; j<coords.length ; j++){
			if(coords[j]==null){continue;}
			g.setColor(Color.black);
			g.fillOval(coords[j].x-6,coords[j].y-6,11,11);	//Center the ovals
			g.setColor(Color.DARK_GRAY);
			g.setFont(new Font( "SansSerif", Font.PLAIN, 10 ));
			g.drawString(planetNames[j], coords[j].x-6,coords[j].y-6);
			g.setColor(Color.WHITE);
			g.setFont(new Font( "SansSerif", Font.BOLD, 9 ));
			g.drawString(orgCoords[j], coords[j].x-10,coords[j].y+22);
			
		}
		paintTrade(g);
		if(currentPlanetsSet){
			for (Point p : currentPlanets){
				g.setColor(Color.blue);
				g.fillOval(p.x-6,p.y-6,11,11);	//Center the ovals
			}
			currentPlanetsSet=false;
		}
	}
	
	private void paintTrade( Graphics g){
		System.out.println(traderoutes.length/2);
		for(int i=0;i<traderoutes.length/2;i+=1){
			g.setColor(Color.red);
			System.out.println(i);
			g.drawLine(traderoutes[i].x,traderoutes[i].y , traderoutes[i+traderoutes.length/2].x, traderoutes[i+traderoutes.length/2].y);
		}
	}
	
	public void setTraderoutes(Point[] p){
		this.traderoutes=p.clone();
	}
	
	public void drawCurrentPlanets(Point[] p){
		this.currentPlanets=p.clone();
		currentPlanetsSet=true;
	}
	
	

	
	public int getX (){
		return this.x;
	}
	
	public int getY (){
		return this.y;
	}
	
}