package balancingGui;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;
import java.io.File;
import java.util.Arrays;
import java.util.LinkedList;
import java.util.List;

import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JOptionPane;

import javax.swing.JPanel;
import javax.swing.JTabbedPane;

import org.jdom.Element;

import misc.ListXml;

import xmlFilter.XmlFilter;

public class LoadingPanel extends JPanel {

	/**
	 * 
	 */
	

	public static String 	MODNAMECHOOSE 	= null;
	public static String 	BTLOAD			= null;
	public static String 	SETFILTER 		= null;
	public static String[] 	NAMES			= null;
	public static String 	CREATEEVENT 	= null;
	public static String EVENTCHAPTER = "Kapitel";
	public static String DIALOGFILE = "DialogDatei";
	
	private static final long serialVersionUID = 3991009358848833708L;

	private LinkedList<JComboBox> dropDownBoxes = new LinkedList<JComboBox>();


	private String file;

	private JButton btLoad;

	private JTabbedPane panelNorth = new JTabbedPane();

	private JPanel panelSouth = new JPanel();

	private EntityFrame shipFrame;

	public static String[] hpTypes;

	public static String[] explosionParticles;

	public static String[] hpDeathSfx;

	public static String[] hpDamageDecal;

	public static String[] hpDamageParticle;

	public static String[] hpFireProj;

	public static String[] hpFireSfx;

	public static String[] DamageTypes;

	public static String[] ArmorTypes;

	public static String[] spaceLayers;

	public static String[] moveClasses;

	public static String[] unitClasses;

	public static String[] categories;

	public static String[] targetingPriorities;

	public static String[] encycUnitClass;

	public static String[] projCat;
	
	public static String[] files;

	public static LinkedList<String> behaviors = new LinkedList<String>();

	public static LinkedList<String> spacebehaviors = new LinkedList<String>();

	public static LinkedList<String> landbehaviors = new LinkedList<String>();

	public static LinkedList<String> DamageTypesE = new LinkedList<String>();

	public static LinkedList<String> ArmorTypesE = new LinkedList<String>();

	public static LinkedList<XmlFilter> Filters = new LinkedList<XmlFilter>();

	public static String modName;
	
	public static boolean lang=true;
	
	public static int gX = 0; 
	public static int gY = 0;

	public static String[] spaceFiles = { "SpaceUnitsFrigates.xml",
			"SpaceUnitsCapital.xml", "SpaceUnitsSupers.xml",
			"SpaceUnitsFighters.xml", "SpaceUnitsCorvettes.xml",
			"Squadrons.xml", "StarBases.xml", "TransportUnits.xml" };

	public static String[] groundFiles = { "GroundInfantry.xml",
			"GroundVehicles.xml", "GroundCompaniesEmpire.xml",
			"GroundCompaniesRebel.xml", "SpecialStructures.xml",
			"Groundstructures.xml", "GroundbuildablesEmpire.xml",
			"GroundbuildablesRebel.xml", "GroundbuildablesPirate.xml",
			"Groundturrets.xml" };

	public static String[] heroFiles = { "Herocompanies.xml", "GenericHeroUnits.xml",
		"NamedHeroUnits.xml", "UniqueUnits.xml" };
	

	public static String[] weaponFiles = { "PROJECTILES.XML", "Hardpoints.xml" };

	public static LinkedList<String> filterFiles = new LinkedList<String>();
	public static String PERPETUAL;
	public static String REQPLANETS;
	public static String AMOUNTOFUNITS;
	public static String REWARDOBJECT;
	public static String LOADFILES;
	public static String CHOOSEFILTER;
	public static String CHAINEVENTS;
	public static String CREATEMOVIEEVENT;
	public static String CREATETRADEROUTE;
	public static String DELETETRADEROUTE;
	public static String CREATESECTORCONTROL;
	public static String CRITICALERROR;
	public static String FILENOTFOUND;
	public static String DELETESPECIALCHARS;
	public static String MAILTO;
	public static String INCORRECTFILE;
	public static String FIXERRORANDRESTART;
	public static String READERROR;
	public static String INVALIDFILE;
	public static String EDITORSHUTDOWN;
	public static String OWNRENDER;
	public static String YES;
	public static String TOPROW;
	public static String TECHLEVEL;
	public static String NOEFFECT;
	public static String BTSAVE;
	public static String BTCREATE;
	public static String CHOOSECOLOR;
	public static String SUGGESTNAME;
	public static String TACHEALTHGEN;
	public static String AIAUTOGEN;
	public static String SETPLANET;
	public static String ISSETBYSETPLANET;
	public static String SETBEHAVIOR;
	public static String ISSETBYSETBEHAVIOR;
	public static String BTADD;
	public static String BTEDIT;
	public static String ISSETBYSETCATEGORYMASK;
	public static String SETCATEGORYMASK;
	public static String GENERATE;
	public static String SELECTFILTER;
	public static String UNITFILTER;
	public static String CHOOSEFILTERBYFILE;
	public static String CHOOSEFILE;
	public static String CHOOSEPROJFILTER;
	public static String CHOOSEHARDILTER;
	public static String NOTAVAILABLE;
	public static String BTFINISH;
	public static String ENTERNAME;
	public static String NAMEALREADYINUSE;
	public static String SAVESUCCES;
	public static String STARTPLANET;
	public static String DESTPLANET;
	public static String HYPERSPACESPEED;
	public static String CREDITFACTOR;

	private JFrame mainFrame;

	public LoadingPanel(JFrame mainFrame) {
		this.setLayout(new BorderLayout());
		Icon loadIcon = new ImageIcon("icons/loadfile.png");
		Icon[] catg = new Icon[5];
		catg[0]=new ImageIcon("icons/spaceships.png");
		catg[1]=new ImageIcon("icons/ground.png");
		catg[2]=new ImageIcon("icons/hero.png");
		catg[3]=new ImageIcon("icons/weapons.png");
		catg[4]=new ImageIcon("icons/own.png");
		initBoxes();
		btLoad = new JButton(BTLOAD);
		btLoad.addActionListener(new btLoadListener());
		btLoad.setIcon(loadIcon);

		for (int i = 0; i < dropDownBoxes.size(); i++) {
			panelNorth.addTab(LoadingPanel.NAMES[i], catg[i], dropDownBoxes.get(i));
		}
		panelNorth.setPreferredSize(new Dimension(800, 100));
		panelSouth.add(btLoad);
		this.add(panelNorth, BorderLayout.EAST);
		this.add(panelSouth, BorderLayout.SOUTH);
		this.mainFrame = mainFrame;

	}

	private void initBoxes() {

		dropDownBoxes.add(new JComboBox(spaceFiles));
		dropDownBoxes.add(new JComboBox(groundFiles));
		dropDownBoxes.add(new JComboBox(heroFiles));
		dropDownBoxes.add(new JComboBox(weaponFiles));
		files = new File( "." ).list(new misc.FileFilter()); 
//		System.out.println( Arrays.toString(entries) );
		
		dropDownBoxes.add(new JComboBox(files));
	}

	private class btLoadListener implements ActionListener {

		public void actionPerformed(ActionEvent e) {
			switchFrames(file = (String) dropDownBoxes.get(
					panelNorth.getSelectedIndex()).getSelectedItem());
		}

	}

	public String getFile() {
		return file;
	}

	private void switchFrames(String file) {
		if (shipFrame != null)
			shipFrame.dispose();
		mainFrame.setVisible(false);
		shipFrame = new EntityFrame(file, null, null, null);
		shipFrame.setVisible(true);
		shipFrame.addWindowListener(new WindowCloseListener());
		mainFrame.setVisible(false);
		System.gc();
	}

	private class WindowCloseListener implements WindowListener {

		public void windowActivated(WindowEvent e) {
		}

		public void windowClosed(WindowEvent e) {

		}

		public void windowClosing(WindowEvent e) {
			shipFrame.getEntities().createXml(
					shipFrame.getEntities().getRoot(), shipFrame.getTitle());
			// shipFrame.getEntities().createXml(shipFrame.getEntities().getRoot(),"test.xml");

			e.getWindow().dispose();
			mainFrame.setVisible(true);
		}

		public void windowDeactivated(WindowEvent e) {
			// TODO Auto-generated method stub

		}

		public void windowDeiconified(WindowEvent e) {
			// TODO Auto-generated method stub

		}

		public void windowIconified(WindowEvent e) {
			// TODO Auto-generated method stub

		}

		public void windowOpened(WindowEvent e) {
			// TODO Auto-generated method stub

		}

	}

	public static boolean initFilters() {
		String[] options = {"English", "German"}; 
		 
	    String choose = (String) JOptionPane.showInputDialog( null,"Language/Sprache", 
	              "Select Language / Sprache auswhlen", 
	              JOptionPane.QUESTION_MESSAGE, 
	              null, options, 
	              options[1] ); 

		lang =  choose.equalsIgnoreCase("german");
		initLang();
		modName = JOptionPane.showInputDialog(LoadingPanel.MODNAMECHOOSE);
//		modName = "Testmod";
//		ListXml lx = new ListXml("FilterConfig.xml");
//		List<Element> le = lx.getElements();
//		Iterator<Element> it = le.iterator();
		filterFiles.add("ConfigData/SpaceFilters.xml");
		filterFiles.add("ConfigData/GroundFilters.xml");
		filterFiles.add("ConfigData/HeroFilters.xml");
		filterFiles.add("ConfigData/HpFilters.xml");
		filterFiles.add("ConfigData/ProjFilters.xml");
		filterFiles.add("ConfigData/AbilityFilters.xml");
		for (String s : filterFiles) {
			Filters.add(new XmlFilter("All", s));
		}
		ListXml lx = new ListXml("ConfigData/config.xml");
		List<Element>le = lx.getElements();
		hpTypes = ListXml.trimArray(ListXml.findSpecificElement("HpTypes", le)
				.getText().split(","));
		explosionParticles = ListXml.trimArray(ListXml.findSpecificElement(
				"explosionParticles", le).getText().split(","));
		hpDeathSfx = ListXml.trimArray(ListXml.findSpecificElement(
				"hpDeathSfx", le).getText().split(","));
		hpDamageDecal = ListXml.trimArray(ListXml.findSpecificElement(
				"hpDamageDecal", le).getText().split(","));
		hpDamageParticle = ListXml.trimArray(ListXml.findSpecificElement(
				"hpDamageParticles", le).getText().split(","));
		hpFireSfx = ListXml.trimArray(ListXml.findSpecificElement("hpFireSfx",
				le).getText().split(","));
		spaceLayers = ListXml.trimArray(ListXml.findSpecificElement(
				"space_Layer", le).getText().split(","));
		moveClasses = ListXml.trimArray(ListXml.findSpecificElement(
				"move_Class", le).getText().split(","));
		unitClasses = ListXml.trimArray(ListXml.findSpecificElement(
				"unit_Class", le).getText().split(","));
		categories = ListXml.trimArray(ListXml.findSpecificElement("categorys",
				le).getText().split(","));
		targetingPriorities = ListXml.trimArray(ListXml.findSpecificElement(
				"targetingPriorities", le).getText().split(","));
		encycUnitClass = ListXml.trimArray(ListXml.findSpecificElement(
				"encyc_unit_class", le).getText().split(","));
		projCat = ListXml.trimArray(ListXml.findSpecificElement(
				"proj_Category", le).getText().split(","));
		String[] temp = ListXml.trimArray(ListXml.findSpecificElement("galactic_coord", le).getText().split(","));
		gX = Integer.parseInt(temp[0]);
		gY = Integer.parseInt(temp[1]);
		

		setBehaviors(le);
		// Gameconstants
		setDamageAndArmor();

		if (!Filters.contains(null)) {
			return true;
		} else
			return false;

	}

	private static void setDamageAndArmor() {
		ListXml lx = new ListXml("Gameconstants.xml");
		DamageTypes = ListXml.findSpecificElement("Damage_Types",
				lx.getElements()).getText().split(",").clone();
		ArmorTypes = ListXml.findSpecificElement("Armor_Types",
				lx.getElements()).getText().split(",").clone();
		ListXml.trimArray(DamageTypes);
		ListXml.trimArray(ArmorTypes);
		for (String s : DamageTypes) {
			DamageTypesE.add(s);
		}
		for (String s : ArmorTypes) {
			ArmorTypesE.add(s);
		}
	}

	private static void setBehaviors(List<Element> le) {
		String[] split = ListXml.findSpecificElement("behaviors", le).getText()
				.split(",");
		for (String s : split)
			behaviors.add(ListXml.trim(s));
		String[] split2 = ListXml.findSpecificElement("Spacebehaviors", le)
				.getText().split(",");
		for (String s : split2)
			spacebehaviors.add(ListXml.trim(s));
		String[] split3 = ListXml.findSpecificElement("Landbehaviors", le)
				.getText().split(",");
		for (String s : split3)
			landbehaviors.add(ListXml.trim(s));
	}

	public static String[] getFilter(String file) {
		for (String s : filterFiles) {
			if (file.equals(s))
				return LoadingPanel.Filters.get(filterFiles.indexOf(s))
						.getFilter();
		}
		return null;

	}
	
	public static void initLang(){
		if(LoadingPanel.lang){
			MODNAMECHOOSE = "Geben sie den Modnamen ein";
			BTLOAD = "Laden";
			NAMES = new String[] { "Raumeinheiten", "Bodeneinheiten", "Helden",
					"Waffen","Eigene" };
			SETFILTER = "Filter setzen";
			CREATEEVENT = "Event anlegen";
			EVENTCHAPTER = "Kapitel";
			DIALOGFILE = "DialogDatei";
			PERPETUAL = "Wiederholbar?";
			REQPLANETS = "erforderliche Planeten";
			AMOUNTOFUNITS = "Anzahl der Einheiten";
			REWARDOBJECT = "freizugebendes Objekt";
			LOADFILES = "DateienLaden";
			CHOOSEFILTER = "Filter whlen";
			CHAINEVENTS = "Kettenevents";
			CREATEMOVIEEVENT = "Movieevent anlegen";
			CREATETRADEROUTE = "Traderoute anlegen";
			DELETETRADEROUTE = "Traderoute loeschen";
			CREATESECTORCONTROL = "Sektorkontrollevent anlegen";
			CRITICALERROR = "Schwerer Ausnahmefehler an der Stelle : 0x29A  , der Editor wird beendet";

			FILENOTFOUND = "Datei nicht gefunden";
			DELETESPECIALCHARS = "Entfernen sie alle Sonderzeichen aus der Datei und versuchen sie es erneut";
			MAILTO = "Falls das Problem weiterhin auftritt senden sie bitte die Datei 'Errorlog.txt' an ";
			INCORRECTFILE = "Inkorrekter Dateiinhalt,in der Datei";
			FIXERRORANDRESTART = "Fehler korrigieren und Editor neu starten";
			READERROR = "Fehler beim Lesen";
			INVALIDFILE = "Ungltige Datei: ";
			EDITORSHUTDOWN = "Editor wird beendet";
			
			OWNRENDER = "Eigener Render";
			YES = "Ja";
			TOPROW = "Oben";
			TECHLEVEL = "Rebellen Tech 0-4, Imperiums Tech 1-5";
			NOEFFECT = "Kein Effekt";
			BTSAVE = "Speichern";
			BTCREATE = "Erstellen";
			
			CHOOSECOLOR = "Farbe ndern";
			SUGGESTNAME = "Namesvorschlag machen";
			TACHEALTHGEN = "Berechnet sich nach der HP-Summe der Hardpoints";
			AIAUTOGEN = "Berechnet sich aus Autoresolve Health und Damage";
			SETPLANET = "Planeten setzen";
			ISSETBYSETPLANET = "Wird ber Planeten setzen verwaltet";
			SETBEHAVIOR = "Verhalten setzen";
			ISSETBYSETBEHAVIOR = "Wird ber Verhalten setzen verwaltet";
			BTADD = "Hinzufgen";
			BTEDIT = "Bearbeiten";
			ISSETBYSETCATEGORYMASK = "Wird ber CategoryMask setzen verwaltet";
			SETCATEGORYMASK = "CategoryMask setzen";
			GENERATE = "Automatisch";

			SELECTFILTER = "Bitte Filter whlen";
			UNITFILTER = "EinheitenFilter";
			CHOOSEFILTERBYFILE = "Bitte Filter nach Art der zu bearbeitenden Datei whlen";

			CHOOSEFILE = "Datei whlen";
			CHOOSEPROJFILTER = "Bitte entsprechende ProjektilDatei whlen";
			CHOOSEHARDILTER = "Bitte entsprechende HardpointDatei whlen";
			

			NOTAVAILABLE = "Kein Anschluss unter dieser Nummer";
			BTFINISH = "Fertig";
			

			ENTERNAME = "Geben sie den Namen ein";
			NAMEALREADYINUSE = "Gewhlter Name schon verwendet, neuen Namen eingeben";
			SAVESUCCES = "Erfolgreich gespeichert!";
			

			STARTPLANET = "Startplanet";
			DESTPLANET = "Zielplanet";
			HYPERSPACESPEED = "Hyperraumgeschwindigkeit";
			CREDITFACTOR = "Creditfaktor";
			
			
		}
		else{
			MODNAMECHOOSE = "Enter Modname";
			BTLOAD = "Load";
			NAMES = new String[] { "SpaceUnits", "GroundUnits", "HeroUnits",
					"Misc","Custom" };
			SETFILTER = "Set Filter";
			CREATEEVENT = "Create Event";
			EVENTCHAPTER = "Chapter";
			DIALOGFILE = "Dialog File";
			PERPETUAL = "Perpetual?";
			REQPLANETS = "required Planets";
			AMOUNTOFUNITS = "Amount of Units";
			REWARDOBJECT = "Object to spawn";
			LOADFILES = "Load Files";
			CHOOSEFILTER = "Select Filter";
			CHAINEVENTS = "Chainevents";
			CREATEMOVIEEVENT = "Create MovieEvent";
			CREATETRADEROUTE = "Create Traderoute";
			DELETETRADEROUTE = "Delete Traderoute";
			CREATESECTORCONTROL = "Create SectorControlEvent";
			CRITICALERROR = "CRITICAL EXCEPTION AT : 0x29A  , Editor is shutting down";
			
			FILENOTFOUND = "File not found";
			DELETESPECIALCHARS = "Delete all 'Special-character' and restart";
			MAILTO = "If the problem occurs nevertheless please send a mail including the Errorlog.txt to";
			INCORRECTFILE = "Invalid Filecontent in File";
			FIXERRORANDRESTART = "Fix error and restart";
			READERROR = "Read error";
			INVALIDFILE = "Invalid File: ";
			EDITORSHUTDOWN = "Editor is shut down";			

			OWNRENDER = "Custom Render";
			YES = "Yes";
			TOPROW = "Top";
			TECHLEVEL = "Rebel Tech 0-4, Empire Tech 1-5";
			NOEFFECT = "No Effect";
			BTSAVE = "Save";
			BTCREATE = "Create";
			

			CHOOSECOLOR = "Edit Color";
			SUGGESTNAME = "Suggest Name";
			TACHEALTHGEN = "Is calculated by the sum of health from the hardpoints";
			AIAUTOGEN = "Is calculated with autoresolve and damage";
			SETPLANET = "Set Planet";
			ISSETBYSETPLANET = "Is set by set Planet";
			SETBEHAVIOR = "Set Behavior";
			ISSETBYSETBEHAVIOR = "Is set by set Behaviors";
			BTADD = "Add";
			BTEDIT = "Edit";
			ISSETBYSETCATEGORYMASK = "Is set by set Category";
			SETCATEGORYMASK = "Set CategoryMask";
			GENERATE = "Generate";
			

			SELECTFILTER = "Choose Filter";
			UNITFILTER = "Unit Filter";
			CHOOSEFILTERBYFILE = "Choose filter after the type of file";
			

			CHOOSEFILE = "Select File";
			CHOOSEPROJFILTER = "Select corresponding Projectile File ";
			CHOOSEHARDILTER = "Select corresponding Hardpoint File ";
				

			NOTAVAILABLE = "The Person you've called is temporarily not available";
			BTFINISH = "Finished";
			

			ENTERNAME = "Enter name";
			NAMEALREADYINUSE = "Name already in use, select another one";
			SAVESUCCES = "Save succesful!";
			

			STARTPLANET = "Start Planet";
			DESTPLANET = "Destination Planet";
			HYPERSPACESPEED = "HyperspaceSpeed";
			CREDITFACTOR = "Creditfactor";
		}
	}

}
