package eventTypes;

import java.util.LinkedList;

import org.jdom.Element;

public class StoryConstruct implements EventType {
	
	private Element type = new Element("Event_Type");
	private String data = new String ("STORY_CONSTRUCT");
	private Element object = new Element("Event_Param1");
	private Element amount = new Element("Event_Param2");
	private Element filter = new Element("Event_Param3");
	
	
	public StoryConstruct (String object, Integer amount, String filter){
		type.addContent(data);
		this.object.addContent(object);
		this.amount.addContent(amount.toString());
		this.filter.addContent(filter);
	}

	public LinkedList<Element> buildEvent() {
		LinkedList<Element> temp = new LinkedList<Element>();
		temp.add(type);
		temp.add(object);
		temp.add(amount);
		temp.add(filter);
		return temp;
	}

}
