package eventTypes;

import java.util.LinkedList;

import org.jdom.Element;

public class StoryDestroy implements EventType{

	private Element type = new Element("Event_Type");
	private String data = new String ("STORY_DESTROY");
	private Element object = new Element("Event_Param1");
	private Element planet = new Element("Event_Param2");
	private Element amount = new Element("Event_Param3");
	private Element destroyer = new Element("Event_Param4");
	
	public StoryDestroy (String object, String planet, Integer amount, String destroyer){
		this.object.addContent(object);
		this.planet.addContent(planet);
		this.amount.addContent(amount.toString());
		this.destroyer.addContent(destroyer);
		type.addContent(data);
	}
	public LinkedList<Element> buildEvent() {
		LinkedList<Element> temp = new LinkedList<Element>();
		temp.add(type);
		temp.add(object);
		temp.add(planet);
		temp.add(amount);
		temp.add(destroyer);
		return temp;
	}
	
}
