package rewardTypes;

import java.util.LinkedList;

import misc.Flag;

import org.jdom.Element;

public class IncrementFlag implements RewardType {
	
	private Element type = new Element("Reward_Type");
	private String data = new String ("INCREMENT_FLAG");
	private Element flag = new Element("Reward_Param1");
	private Element value = new Element("Reward_Param2");
	
	public IncrementFlag (Flag f,Integer inc){
		type.addContent(data);
		flag.addContent(f.name);
		value.addContent(inc.toString());
	}

	public LinkedList<Element> buildReward() {
		LinkedList<Element> temp = new LinkedList<Element>();
		temp.add(type);
		temp.add(flag);
		temp.add(value);
		return temp;
	}

}
