package tools;

//import java.util.Collection;
import java.util.LinkedList;
import java.util.List;

//import org.jdom.Content;
import org.jdom.Element;

import exceptions.NoSuchElementException;

import misc.ListXml;

public class XmlExtractor {
	
	public static LinkedList<String> result = new LinkedList<String>();
	private String file;
	public ListXml lx;
	public static LinkedList<Element> resultElements = new LinkedList<Element>();
	
	public XmlExtractor(String file){
		this.file=file;
		
		
	}
	
	@SuppressWarnings("unchecked")
	public void extractAllAttributes(){
		lx = new ListXml(file);
		List<Element> children = lx.getElements();
		for(Element e : children){
			List<Element> children2 = e.getChildren();
			for(Element e2: children2){
				String name = e2.getName();
				if(!result.contains(name))
				result.add(name);
			}
		}
	}
	
	public void clear(){
		while(result.size()>=1){
			result.remove();
		}
	}
	
	public void extractAllAttributesOfEntity(String name){
		lx = new ListXml(file);
		Element child = ListXml.getFirstElementInFile(lx.getElements());
		child = ListXml.findSpecificElementWithName(name, lx.getElements());
		for(Object o : child.getChildren()){
			Element e = (Element) o;
			result.add(e.getName());
		}
	}
	
	@SuppressWarnings("unchecked")
	public void extractAllPossibilitesOfElement(String name){
		ListXml lx = new ListXml(file);
		List <Element>children = lx.getRoot().getChildren();
		for(Element e : children){
			String text;
			try {
				text = ListXml.findSpecificElement(name, e.getChildren()).getText();
			} catch (NoSuchElementException e1) {
				text = " ";
			}
				for (String s : text.split(",")) {
					boolean contains = result.contains(ListXml.trim(s));
					if (!contains)
						result.add(ListXml.trim(s));
				}
		}
	}
	
	@SuppressWarnings("unchecked")
	public void extractAllPossibilitesOfElementWithAttribute(String name){
		ListXml lx = new ListXml(file);
		List <Element>children = lx.getRoot().getChildren();
		for (Element e : children) {
			@SuppressWarnings("unused")
			Element ex2 = null;
			@SuppressWarnings("unused")
			String text;
			try {
				Element ex = ListXml.findSpecificElement(name, e
						.getChildren());
				if (ex != null) {
					ex.detach();
					@SuppressWarnings("unused")
					List<Element> children2 = ex.getChildren();
					resultElements.addAll(ex.getChildren());
				}
				// ex2 = ListXml.findSpecificElement("Abilities",
				// ex.getChildren());
				// text =
				// ListXml.findSpecificElement("Type",ex2.getChildren()).getText();
				// boolean contains = resultElements.contains(ex2);
				// for(Element e3 : resultElements){
				// String childText = e3.getChildText("Type");
				// String childText2 = ex2.getChildText("Type");
				// if(childText.equalsIgnoreCase(childText2)){
				// contains=true;
				// break;
				// }
				//					
				// }

			} catch (NoSuchElementException e1) {
				text = " ";
			}

		}
		for (Element e:resultElements){
			e.detach();
			
		}
		

	}
	}
	

	


